;	===============================================================
;       Mechw603 - Mechanical Construction
;       (For use with Fcad32 6.03)
;
;       By Brady Clinger Tue  05-03-99
;	===============================================================
;	---------------------------------------------------------------
XPID		equ	0		;this modules' XP ID #
Main		equ	1		;this is the main module

		include	\XPDEV\XP.CPY
		Public	DllMain,s87
;	---------------------------------------------------------------
.data
XPVer		equ	versionNr
XPDef		XP	<0,clist,plist,0,0>

clist   sbyte   "TAPSTHRU",0,"TAPTOP",0,"TAPTOP2",0,"SLOT",0,"HOLSTHRU",0
        sbyte   "HOLBLIND",0,"TAPBLIND",0,"CBORTOP",0
        sbyte   "CBORSID",0,"BLINE",0,"CSKSIDE",0
        sbyte   "CENLNS",0
        sbyte   0

plist   dword   About                   ;about this XP...
        dword   TAPSTHRUCmd             ;TAPSTHRU command
        dword   TAPTOPCmd               ;TAPTOP command
        dword   TAPTOP2Cmd              ;TAPTOP2 command
        dword   SLOTCmd                 ;SLOT command
        dword   HOLSTHRUCmd             ;HOLSTHRU command
        dword   HOLBLINDCmd             ;HOLBLIND command
        dword   TAPBLINDCmd             ;TAPBLIND command
        dword   CBORTOPCmd              ;CBORTOP command
        dword   CBORSIDCmd              ;CBORSID command
        dword   BLINECmd                ;BLINE command
        dword   CSKSIDECmd              ;CSKSIDE command
        dword   CENLNSCmd               ;CENLNS command
.code
;	===============================================================
;	DllMain - DLL Init/End processing procedure
;	===============================================================

DllMain		proc STDCALL,
		hInstDLL:DWORD,fdwReason:DWORD,lpvReserved:DWORD
		WENTRY
		cmp	fdwReason,DLL_PROCESS_ATTACH
		jz	init
		cmp	fdwReason,DLL_PROCESS_DETACH
		jz	atend
		mov	eax,1			;return TRUE
		WEXIT

;	Initialize this XP (do no output yet!)

init:		mov	eax,hInstDLL		;save instance handle
		mov	XPDef.ModHdl,eax
		SVC	XPRegCmd,<offset XPDef>	;connect module
		mov	eax,1			;return TRUE
		WEXIT

;	End using this XP

atend:
		SVC	XPUnregCmd,<offset XPDef>
		mov	eax,1			;return TRUE
		WEXIT
DllMain		endp

;	===============================================================
;	About - About this XP...
;	===============================================================
.data
APkt    dword   APktTxt
APktTxt sbyte   "       Mechw603 - Mechanical Construction",13
        sbyte   "          By Brady Clinger Mon  05-04-99",13,13
;
        db      "TAPSTHRU --------- ",9,"Side view of tapped hole",13
        db      "TAPTOP --------------- ",9,"Top view of tapped hole",13
        db      "TAPTOP2 ------------ ",9,"Tapped hole (top, no centerlines)",13
        db      "SLOT -------------------- ",9,"Creates a slot",13
        db      "HOLSTHRU --------- ",9,"Plain hole thru (side)",13
        db      "HOLBLIND ----------- ",9,"Blind hole (side)",13
        db      "TAPBLIND ----------- ",9,"Blind tapped hole (side)",13
        db      "CBORTOP ----------- ",9,"Counterbored hole (top)",13
        db      "CBORSID ------------ ",9,"Counterbored hole (side)",13
        db      "BLINE ------------------ ",9,"Box made of lines",13
        db      "CSKSIDE ------------ ",9,"Counter sunk hole (side)",13
        db      "CENLNS -------------- ",9,"Centerlines for holes",0
.code

About		proc	STDCALL
		SVC	FormSt,<offset APkt>,FD_MsgBox
		ret
About		endp

;	===============================================================
; (1)   TAPSTHRU command: Create side view of taped hole
;	===============================================================
.data
DiaReq1         RDATA   <,RD_Dist,,RDF_NONE,Dia1,\      ;diameter request
                        threadA1,RDC_XHOPT,TAPSTHRU_B>

HoleStart1      RDATA   <,RD_2DC,,RDF_NONE,spx1,\
                        hstartA1,RDC_XH,TAPSTHRU_C>

HoleEnd1        RDATA   <,RD_2DC,,RDF_NONE,spx2,\
                        hendA1,RDC_RBAND,TAPSTHRU_D>

.code

TAPSTHRUCmd     proc    STDCALL
                SVC     ReqData,<offset DiaReq1> ; get diameter
		ret
TAPSTHRUCmd     endp

TAPSTHRU_B      proc    STDCALL
                cmp     eax,X_OK
                jnz     bad1B
                fld     Dia1
                fld     con2
                fdiv
                fstp    cirr                    ;hole radius

                SVC     ReqData,<offset HoleStart1> ; top of hole
bad1B:          call    CmdEnd                  ;next is new command
		ret
TAPSTHRU_B      endp

TAPSTHRU_C      proc    STDCALL
                cmp     eax,X_OK
                jnz     bad1C
                fld     spx1
                fld     spy1
                SVC     NewCsrOrg
                SVC     ReqData,<offset HoleEnd1> ; bottom of hole
bad1C:          call    CmdEnd                  ;next is new command
		ret
TAPSTHRU_C      endp

TAPSTHRU_D      proc    STDCALL
                cmp     eax,X_OK
                jnz     bad1D
                INVOKE  MarkUndoAdd     ;Undo to here
                fmove   px1,spx1        ;ctr points copyied to p1,p2
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
                CALL    GET_ANGLES
                fmove   angvar1,aang
                fmove   angvar2,aang2
                fld     cirr
                fld     con15
                fmul
                fstp    ddist               ;half length of centerline
                CALL    DRAW_CENTERLINE     ;Draw long centerlines

                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang3
                fmove   angvar1,aang3
                fmove   ddist,cirr
                CALL    DRAW_HLINE              ;draw 1st side of hole

                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang3
                fmove   angvar1,aang3
                fld     cirr
                fld     con75
                fmul
                fstp    ddist
                CALL    DRAW_HLINE              ;draw 1st side of root
;
                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang4
                fmove   angvar1,aang4
                fmove   ddist,cirr
                CALL    DRAW_HLINE              ;draw 2nd side of hole
;
                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang4
                fmove   angvar1,aang4
                fld     cirr
                fld     con75
                fmul
                fstp    ddist
                CALL    DRAW_HLINE              ;draw 2nd side of root

                SVC     ReqData,<offset HoleStart1> ; top of hole

bad1D:          call    CmdEnd                  ;next is new command
		ret
TAPSTHRU_D      endp


;       ===============================================================
; (2)   TAPTOP command: Create TOP view of tapped hole
;	===============================================================
.data
DiaReq2         RDATA   <,RD_Dist,,RDF_NONE,Dia1,\      ;diameter request
                        threadA1,RDC_XHOPT,TAPTOP_B>

CnPt2           RDATA   <,RD_2DC,,RDF_NONE,BuildC.CenX,\ ;center point
                        ctr_pntA1,RDC_XH,TAPTOP_C>
.code

TAPTOPCmd       proc    STDCALL
                SVC     ReqData,<offset DiaReq2> ; get diameter
		ret
TAPTOPCmd       endp

TAPTOP_B        proc    STDCALL
                cmp     eax,X_OK
                jnz     bad2A
                fld     Dia1
                fld     con2
                fdiv
                fst     Rad_O                   ;hole outer radius
                fld     con75
                fmul
                fstp    Rad_I                   ;hole inner radius
                SVC     ReqData,<offset CnPt2>
		ret
bad2A:          call    CmdEnd                  ;next is new command
		ret
TAPTOP_B        endp

TAPTOP_C        proc    stdcall
		cmp	eax,X_OK		;DAV?
                jnz     bad2B
                INVOKE  MarkUndoAdd             ;Undo to here
                SVC     UseCStuff,<offset BuildC>
                mov     BuildC.ELStyle,7
                mov     BuildC.EColor,1
                MOVED   BuildC.Radius,Rad_O
                INVOKE  DLApnd,NULL,esi
                SVC     EDraw,eax               ;draw outer circle


                SVC     GetCStuff,<offset BuildC>
                MOVED   BuildC.Radius,Rad_I
                INVOKE  DLApnd,NULL,esi
                SVC     EDraw,eax               ;draw inner circle

                fld     con2
                fld     BuildC.Radius
                fmul
                fstp    ddist                ;half length of Centerline


                fmove   px1, BuildC.CenX
                fmove   py1, BuildC.CenY
                fmove   px2, BuildC.CenX
                fmove   py2, BuildC.CenY
                fmove   angvar1,zzero
                fldpi
                fstp    angvar2
                CALL    DRAW_CENTERLINE      ;Draw horizontal Centerline



                fmove   px1, BuildC.CenX
                fmove   py1, BuildC.CenY
                fmove   px2, BuildC.CenX
                fmove   py2, BuildC.CenY
                fldpi
                fld     con2
                fdiv
                fst     angvar1
                fldpi
                fadd
                fstp    angvar2
                CALL    DRAW_CENTERLINE      ;Draw vertical Centerline



                SVC     ReqData,<offset CnPt2>
		ret
bad2B:          call    CmdEnd                  ;next is new command
		ret
TAPTOP_C         endp


;       ===============================================================
; (2)   TAPTOP2 command: Create TOP view of tapped hole
;	===============================================================
.data
DiaReq2b        RDATA   <,RD_Dist,,RDF_NONE,Dia1,\      ;diameter request
                        threadA1,RDC_XHOPT,TAPTOP2_B>

CnPt2b          RDATA   <,RD_2DC,,RDF_NONE,BuildC.CenX,\ ;CENTER POINT
                        ctr_pntA1,RDC_XH,TAPTOP2_C>
.code

TAPTOP2Cmd      proc    STDCALL
                SVC     ReqData,<offset DiaReq2b> ; get diameter
		ret
TAPTOP2Cmd      endp

TAPTOP2_B       proc    STDCALL
                cmp     eax,X_OK
                jnz     bad2bA
                fld     Dia1
                fld     con2
                fdiv
                fst     Rad_O                   ;hole outer radius
                fld     con75
                fmul
                fstp    Rad_I                   ;hole inner radius
                SVC     ReqData,<offset CnPt2b>
		ret
bad2bA:         call    CmdEnd                  ;next is new command
		ret
TAPTOP2_B       endp

TAPTOP2_C       proc    stdcall
		cmp	eax,X_OK		;DAV?
                jnz     bad2bB
                INVOKE  MarkUndoAdd             ;Undo to here
                SVC     UseCStuff,<offset BuildC>
                mov     BuildC.ELStyle,7
                mov     BuildC.EColor,1
                MOVED   BuildC.Radius,Rad_O
                INVOKE  DLApnd,NULL,esi
                SVC     EDraw,eax               ;draw outer circle


                SVC     GetCStuff,<offset BuildC>
                MOVED   BuildC.Radius,Rad_I
                INVOKE  DLApnd,NULL,esi
                SVC     EDraw,eax               ;draw inner circle
                SVC     ReqData,<offset CnPt2b>
		ret
bad2bB:         call    CmdEnd                  ;next is new command
		ret
TAPTOP2_C       endp


;**********************************************************************
;       ===============================================================
;(3)     SLOT command: Creates a slot
;	===============================================================
.data
SlotStart       RDATA   <,RD_2DC,,RDF_NONE,spx1,\
                        sStart,RDC_XH,SLOT_B>
sStart          LPSTR   sStartP3
sStartP3        db      "Beginning of Slot (Center Point):",0

SlotEnd         RDATA   <,RD_2DC,,RDF_NONE,spx2,\
                        sEnd,RDC_RBAND,SLOT_C>
sEnd            LPSTR   sEndP3
sEndP3          db      "End of Slot (Center Point):",0

SlotDia         RDATA   <,RD_Dist,,RDF_NONE,Dia1,\      ;diameter request
                        SlotD3,RDC_XHOPT,SLOT_D>
SlotD3          LPSTR   SlotP3
SlotP3          db      "Enter Width of Slot:",0


.code

SLOTCmd         proc    STDCALL
                INVOKE  MarkUndoAdd                 ;Undo to here
                SVC     ReqData,<offset SlotStart>  ; get starting point
		ret
SLOTCmd         endp

SLOT_B          proc    STDCALL
                cmp     eax,X_OK
                jne     bad3A                     ;if nothing picked
                fld     spx1
                fld     spy1
                SVC     NewCsrOrg
                SVC     ReqData,<offset SlotEnd>  ; get ending point
                ret
bad3A:          call    CmdEnd                  ;next is new command
		ret
SLOT_B          endp

SLOT_C          proc    STDCALL
                cmp     eax,X_OK
                jne     bad3B                     ;if nothing picked
                SVC     ReqData,<offset SlotDia>  ; get Diameter
		ret
bad3B:          call    CmdEnd                  ;next is new command
		ret
SLOT_C          endp

SLOT_D          proc    STDCALL
                cmp     eax,X_OK
                jne     bad3D                     ;if nothing picked
                fld     Dia1
                fld     con2
                fdiv
                fstp    cirr                    ;slot radius
;
                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
                CALL    GET_ANGLES
                fmove   angvar1,aang
                fmove   angvar2,aang2
                fld     cirr
                fld     con15
                fmul
                fstp    ddist       ;half length of centerline
        CALL    DRAW_CENTERLINE     ;Draw long centerlines

                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang3
                fmove   angvar1,aang3
                fmove   ddist,cirr
                CALL    DRAW_LINE               ;draw 1st slotline
;
                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang4
                fmove   angvar1,aang4
                fmove   ddist,cirr
                CALL    DRAW_LINE               ;draw 2nd slotline
;
                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx1
                fmove   py2,spy1
                fmove   angvar2,aang3
                fmove   angvar1,aang4
                fld     cirr
                fld     con15
                fmul
                fstp    ddist
                CALL    DRAW_CENTERLINE    ;draw 1st short centerline
;
                fmove   px1,spx2
                fmove   py1,spy2
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang3
                fmove   angvar1,aang4
                CALL    DRAW_CENTERLINE    ;draw 2nd short centerline
;
                fmove   px1,spx1
                fmove   py1,spy1
                fmove   angvar1,aang3
                CALL    DRAW_HALF
;
                fmove   px1,spx2
                fmove   py1,spy2
                fmove   angvar1,aang4
                CALL    DRAW_HALF
;
;               SVC     ReqData,<offset SlotStart>  ; get starting point
                call    CmdEnd                  ;next is new command
		ret
bad3D:          call    CmdEnd                  ;next is new command
		ret
SLOT_D          endp
;

;**********************************************************************
;	===============================================================
; (4)   HOLSTHRU command: Create side view of normal hole
;	===============================================================
.data
DiaReq4         RDATA   <,RD_Dist,,RDF_NONE,Dia1,\      ;diameter request
                        tHoleA1,RDC_XHOPT,HOLSTHRU_B>

HoleStart4      RDATA   <,RD_2DC,,RDF_NONE,spx1,\
                        hstartA1,RDC_XH,HOLSTHRU_C>

HoleEnd4        RDATA   <,RD_2DC,,RDF_NONE,spx2,\
                        hendA1,RDC_RBAND,HOLSTHRU_D>

.code

HOLSTHRUCmd     proc    STDCALL
                SVC     ReqData,<offset DiaReq4> ; get diameter
		ret
HOLSTHRUCmd     endp

HOLSTHRU_B      proc    STDCALL
                cmp     eax,X_OK
                jnz     bad4B
                fld     Dia1
                fld     con2
                fdiv
                fstp    cirr                    ;hole radius

                SVC     ReqData,<offset HoleStart4> ; top of hole
bad4B:          call    CmdEnd                  ;next is new command
		ret
HOLSTHRU_B      endp

HOLSTHRU_C      proc    STDCALL
                cmp     eax,X_OK
                jnz     bad4C
                fld     spx1
                fld     spy1
                SVC     NewCsrOrg
                SVC     ReqData,<offset HoleEnd4> ; bottom of hole
bad4C:          call    CmdEnd                  ;next is new command
		ret
HOLSTHRU_C      endp

HOLSTHRU_D      proc    STDCALL
                cmp     eax,X_OK
                jnz     bad4D
                INVOKE  MarkUndoAdd     ;Undo to here
                fmove   px1,spx1        ;ctr points copyied to p1,p2
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
;
                CALL    GET_ANGLES
                fmove   angvar1,aang
                fmove   angvar2,aang2
                fld     cirr
                fld     con15
                fmul
                fstp    ddist               ;half length of centerline
                CALL    DRAW_CENTERLINE     ;Draw long centerlines

                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang3
                fmove   angvar1,aang3
                fmove   ddist,cirr
                CALL    DRAW_HLINE              ;draw 1st side of hole

                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang4
                fmove   angvar1,aang4
                fmove   ddist,cirr
                CALL    DRAW_HLINE              ;draw 2nd side of hole
;
                SVC     ReqData,<offset HoleStart4> ; top of hole

bad4D:          call    CmdEnd                  ;next is new command
		ret
HOLSTHRU_D      endp


;**********************************************************************
;	===============================================================
; (5)   HOLBLIND command: Create side view of normal hole
;	===============================================================
.data
DiaReq5         RDATA   <,RD_Dist,,RDF_NONE,Dia1,\      ;diameter request
                        holeA1,RDC_XHOPT,HOLBLIND_B>

HoleStart5      RDATA   <,RD_2DC,,RDF_NONE,spx1,\
                        hstartA1,RDC_XH,HOLBLIND_C>

HoleEnd5        RDATA   <,RD_2DC,,RDF_NONE,spx2,\
                        hendA1,RDC_RBAND,HOLBLIND_D>

.code

HOLBLINDCmd     proc    STDCALL
                SVC     ReqData,<offset DiaReq5> ; get diameter
		ret
HOLBLINDCmd     endp

HOLBLIND_B      proc    STDCALL
                cmp     eax,X_OK
                jnz     bad5B
                fld     Dia1
                fld     con2
                fdiv
                fstp    cirr                    ;hole radius

                SVC     ReqData,<offset HoleStart5> ; top of hole
bad5B:          call    CmdEnd                  ;next is new command
		ret
HOLBLIND_B      endp

HOLBLIND_C      proc    STDCALL
                cmp     eax,X_OK
                jnz     bad5C
                fld     spx1
                fld     spy1
                SVC     NewCsrOrg
                SVC     ReqData,<offset HoleEnd5> ; bottom of hole
bad5C:          call    CmdEnd                  ;next is new command
		ret
HOLBLIND_C      endp

HOLBLIND_D      proc    STDCALL
                cmp     eax,X_OK
                jnz     bad5D
                INVOKE  MarkUndoAdd     ;Undo to here
                fmove   px1,spx1        ;ctr points copyied to p1,p2
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
;
                CALL    GET_ANGLES
                fmove   angvar1,aang
                fmove   angvar2,aang2
                fld     cirr
                fld     con15
                fmul
                fstp    ddist               ;half length of centerline
                CALL    DRAW_CENTERLINE     ;Draw long centerlines

                fld     cirr
                fld     con2
                fdiv
                fstp    ddist
                fld     spx2
                fld     spy2
                fld     ddist
                fld     aang
                SVC     PConv
                fstp    spy3
                fstp    spx3                    ;bottom of blind hole

                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang3
                fmove   angvar1,aang3
                fmove   ddist,cirr
                CALL    DRAW_HLINE              ;draw 1st side of hole
;
                fmove   spx4,px2
                fmove   spy4,py2                ;save 1st end of full OD
;
                fmove   px1,spx3
                fmove   py1,spy3
                CALL    DRAW_HNORM              ;draw 1st side of bottom
;
                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang4
                fmove   angvar1,aang4
                fmove   ddist,cirr
                CALL    DRAW_HLINE              ;draw 2nd side of hole
;
                fmove   px1,spx3
                fmove   py1,spy3
                CALL    DRAW_HNORM              ;draw 2nd side of bottom
;
                fmove   px1,spx4
                fmove   py1,spy4
                CALL    DRAW_HNORM              ;draw bottom full OD
;
                SVC     ReqData,<offset HoleStart5> ; top of hole

bad5D:          call    CmdEnd                  ;next is new command
		ret
HOLBLIND_D      endp

;
;
;
;**********************************************************************
;**********************************************************************
;	===============================================================
; (6)   TAPBLIND command: Create side view of TAPPED hole
;	===============================================================
.data
DiaReq6         RDATA   <,RD_Dist,,RDF_NONE,Dia1,\      ;diameter request
                        threadA1,RDC_XHOPT,TAPBLIND_B>

HoleStart6      RDATA   <,RD_2DC,,RDF_NONE,spx1,\
                        hstartA1,RDC_XH,TAPBLIND_C>

HoleEnd6        RDATA   <,RD_2DC,,RDF_NONE,spx5,\
                        hendA1,RDC_RBAND,TAPBLIND_D>

.code

TAPBLINDCmd     proc    STDCALL
                SVC     ReqData,<offset DiaReq6> ; get diameter
		ret
TAPBLINDCmd     endp

TAPBLIND_B      proc    STDCALL
                cmp     eax,X_OK
                jnz     bad6B
                fld     Dia1
                fld     con2
                fdiv
                fstp    cirr                    ;hole radius

                SVC     ReqData,<offset HoleStart6> ; top of hole
bad6B:          call    CmdEnd                  ;next is new command
		ret
TAPBLIND_B      endp

TAPBLIND_C      proc    STDCALL
                cmp     eax,X_OK
                jnz     bad6C
                fld     spx1
                fld     spy1
                SVC     NewCsrOrg
                SVC     ReqData,<offset HoleEnd6> ; bottom of hole
bad6C:          call    CmdEnd                  ;next is new command
		ret
TAPBLIND_C      endp

TAPBLIND_D      proc    STDCALL
                cmp     eax,X_OK
                jnz     bad6D
                INVOKE  MarkUndoAdd     ;Undo to here
                fmove   px1,spx1        ;ctr points copyied to p1,p2
                fmove   py1,spy1
                fmove   px2,spx5
                fmove   py2,spy5

                CALL    GET_ANGLES
;
                fld     spx5
                fld     spy5
                fld     cirr
                fld     aang
                SVC     PConv
                fstp    spy2
                fstp    spx2                    ;bottom center of pilot hole
;
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar1,aang
                fmove   angvar2,aang2
                fld     cirr
                fld     con15
                fmul
                fstp    ddist                   ;half length of centerline
                CALL    DRAW_CENTERLINE         ;Draw long centerlines
;
                fld     cirr
                fld     con2
                fdiv
                fstp    ddist
                fld     spx2
                fld     spy2
                fld     ddist
                fld     aang
                SVC     PConv
                fstp    spy3
                fstp    spx3                    ;bottom of blind hole
;
                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx5
                fmove   py2,spy5
                fmove   angvar2,aang3
                fmove   angvar1,aang3
                fmove   ddist,cirr
                CALL    DRAW_HLINE              ;draw 1st side of hole OD
                fmove   spx6,px2
                fmove   spy6,py2                ;save 1st end of hole OD
;
                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang3
                fmove   angvar1,aang3
                fld     cirr
                fld     con75
                fmul
                fstp    ddist
                CALL    DRAW_HLINE              ;draw 1st side of pilot OD
                fmove   spx4,px2
                fmove   spy4,py2                ;save 1st end of pilot OD
;
                fmove   px1,spx3
                fmove   py1,spy3
                CALL    DRAW_HNORM              ;draw 1st side of bottom
;
                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx5
                fmove   py2,spy5
                fmove   angvar2,aang4
                fmove   angvar1,aang4
                fmove   ddist,cirr
                CALL    DRAW_HLINE              ;draw 2nd side of hole OD
                fmove   spx7,px2
                fmove   spy7,py2                ;save 2nd end of hole OD
;
                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang4
                fmove   angvar1,aang4
                fld     cirr
                fld     con75
                fmul
                fstp    ddist
                CALL    DRAW_HLINE              ;draw 2nd side of pilot OD
;
                fmove   px1,spx3
                fmove   py1,spy3
                CALL    DRAW_HNORM              ;draw 2nd side of bottom
;
                fmove   px1,spx4
                fmove   py1,spy4
                CALL    DRAW_HNORM              ;draw bottom pilot OD
;
                fmove   px1,spx7
                fmove   py1,spy7
                fmove   px2,spx6
                fmove   py2,spy6
                CALL    DRAW_HNORM              ;draw bottom of threaded OD
;
                SVC     ReqData,<offset HoleStart6> ; top of hole

bad6D:          call    CmdEnd                  ;next is new command
		ret
TAPBLIND_D      endp

;**********************************************************************
;       ===============================================================
; (7)   CBORTOP command: Create TOP view of tapped hole
;	===============================================================
.data
DiaReq7A        RDATA   <,RD_Dist,,RDF_NONE,Dia1,\      ;dia Thru hole
                        tHoleA1,RDC_XHOPT,CBORTOP_B>

DiaReq7B        RDATA   <,RD_Dist,,RDF_NONE,Dia1,\      ;dia Cbore
                        cHoleA1,RDC_XHOPT,CBORTOP_C>

CnPt7           RDATA   <,RD_2DC,,RDF_NONE,BuildC.CenX,\ ;center point
                        ctr_pntA1,RDC_XH,CBORTOP_D>
.code

CBORTOPCmd      proc    STDCALL
                SVC     ReqData,<offset DiaReq7A> ; get diameter
		ret
CBORTOPCmd      endp

CBORTOP_B       proc    STDCALL
                cmp     eax,X_OK
                jnz     bad7B
                fld     Dia1
                fld     con2
                fdiv
                fstp    cirr                    ;thru hole radius
                SVC     ReqData,<offset DiaReq7B>
		ret
bad7B:          call    CmdEnd                  ;next is new command
		ret
CBORTOP_B       endp
;
CBORTOP_C       proc    STDCALL
                cmp     eax,X_OK
                jnz     bad7C
                fld     Dia1
                fld     con2
                fdiv
                fstp    Rad_O                   ;counterbore radius
                SVC     ReqData,<offset CnPt7>
		ret
bad7C:          call    CmdEnd                  ;next is new command
		ret
CBORTOP_C       endp
;
CBORTOP_D       proc    STDCALL
                cmp     eax,X_OK
                jnz     bad7D
                INVOKE  MarkUndoAdd             ;Undo to here
                SVC     GetCStuff,<offset BuildC>
                MOVED   BuildC.Radius,Rad_O
                INVOKE  DLApnd,NULL,esi
                SVC     EDraw,eax               ;draw CBore
                              
                SVC     GetCStuff,<offset BuildC>
                MOVED   BuildC.Radius,cirr
                INVOKE  DLApnd,NULL,esi
                SVC     EDraw,eax               ;draw thru hole

                fld     con15
                fld     Rad_O
                fmul
                fstp    ddist                ;half length of Centerline


                fmove   px1, BuildC.CenX
                fmove   py1, BuildC.CenY
                fmove   px2, BuildC.CenX
                fmove   py2, BuildC.CenY
                fmove   angvar1,zzero
                fldpi
                fstp    angvar2
                CALL    DRAW_CENTERLINE      ;Draw horizontal Centerline



                fmove   px1, BuildC.CenX
                fmove   py1, BuildC.CenY
                fmove   px2, BuildC.CenX
                fmove   py2, BuildC.CenY
                fldpi
                fld     con2
                fdiv
                fst     angvar1
                fldpi
                fadd
                fstp    angvar2
                CALL    DRAW_CENTERLINE      ;Draw vertical Centerline

                SVC     ReqData,<offset CnPt7>
		ret
bad7D:          call    CmdEnd                  ;next is new command
		ret
CBORTOP_D       endp





;**********************************************************************
;       ===============================================================
; (8)   CBORSID command: Create TOP view of tapped hole
;	===============================================================
.data
DiaReq8A        RDATA   <,RD_Dist,,RDF_NONE,Dia1,\      ;dia Thru hole
                        tHoleA1,RDC_XHOPT,CBORSID_B>

DiaReq8B        RDATA   <,RD_Dist,,RDF_NONE,Dia1,\      ;dia Cbore
                        cbHoleA1,RDC_XHOPT,CBORSID_C>
cbHoleA1        LPSTR   cbHoleP1
cbHoleP1        db      "Diameter of Counter bore?:",0


CDepth8         RDATA   <,RD_Dist,,RDF_NONE,ddist2,\    ;Cbore Depth
                        cBdptA1,RDC_XHOPT,CBORSID_D>
cBdptA1         LPSTR   cBdptP1
cBdptP1         db      "Depth of Counter Bore?:",0

HoleStart8      RDATA   <,RD_2DC,,RDF_NONE,spx1,\
                        hstartA1,RDC_XH,CBORSID_E>

HoleEnd8        RDATA   <,RD_2DC,,RDF_NONE,spx2,\
                        hendA1,RDC_RBAND,CBORSID_F>
.code

CBORSIDCmd      proc    STDCALL
                SVC     ReqData,<offset DiaReq8A> ; get diameter
		ret
CBORSIDCmd      endp

CBORSID_B       proc    STDCALL
                cmp     eax,X_OK
                jnz     bad8B
                fld     Dia1
                fld     con2
                fdiv
                fstp    cirr                    ;thru hole radius
                SVC     ReqData,<offset DiaReq8B>
		ret
bad8B:          call    CmdEnd                  ;next is new command
		ret
CBORSID_B       endp
;
CBORSID_C       proc    STDCALL
                cmp     eax,X_OK
                jnz     bad8C
                fld     Dia1
                fld     con2
                fdiv
                fstp    Rad_O                   ;counterbore radius
                SVC     ReqData,<offset CDepth8>
		ret
bad8C:          call    CmdEnd                  ;next is new command
		ret
CBORSID_C       endp
;
CBORSID_D       proc    STDCALL
                cmp     eax,X_OK
                jnz     bad8D
                SVC     ReqData,<offset HoleStart8>
		ret
bad8D:          call    CmdEnd                  ;next is new command
		ret
CBORSID_D       endp
;
CBORSID_E       proc    STDCALL
                cmp     eax,X_OK
                jnz     bad8E
                fld     spx1
                fld     spy1
                SVC     NewCsrOrg
                SVC     ReqData,<offset HoleEnd8>
		ret
bad8E:          call    CmdEnd                  ;next is new command
		ret
CBORSID_E       endp
;
CBORSID_F       proc    STDCALL
                cmp     eax,X_OK
                jnz     bad8F

                fmove   px1,spx1      ;center points stored in sp1,sp2
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2

                CALL    GET_ANGLES
;
                fld     spx1
                fld     spy1
                fld     ddist2
                fld     aang
                SVC     PConv
                fstp    spy3
                fstp    spx3            ;bottom of cbore hole center

                fmove   angvar1,aang
                fmove   angvar2,aang2
                fld     cirr
                fld     con15
                fmul
                fstp    ddist                   ;half length of centerline
                CALL    DRAW_CENTERLINE         ;Draw long centerlines
;
                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx3
                fmove   py2,spy3
                fmove   angvar2,aang3
                fmove   angvar1,aang3
                fmove   ddist,Rad_O
                CALL    DRAW_HLINE              ;draw 1st side of cbore
;
                fmove   px1,spx3
                fmove   py1,spy3
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang3
                fmove   angvar1,aang3
                fmove   ddist,cirr
                CALL    DRAW_HLINE              ;draw 1st side of hole
;
;
                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx3
                fmove   py2,spy3
                fmove   angvar2,aang4
                fmove   angvar1,aang4
                fmove   ddist,Rad_O
                CALL    DRAW_HLINE              ;draw 2nd side of cbore
;
                fmove   px1,spx3
                fmove   py1,spy3
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang4
                fmove   angvar1,aang4
                fmove   ddist,cirr
                CALL    DRAW_HLINE              ;draw 2nd side of hole
;
                fld     spx3
                fld     spy3
                fld     Rad_O
                fld     aang3
                SVC     PConv
                fstp    py1
                fstp    px1                     ;bottom of cbore hole top side
;
                fld     spx3
                fld     spy3
                fld     Rad_O
                fld     aang4
                SVC     PConv
                fstp    py2
                fstp    px2                     ;bottom of cbore hole bot.side
;
                CALL    DRAW_HNORM
;
                SVC     ReqData,<offset HoleStart8>
		ret
bad8F:          call    CmdEnd                  ;next is new command
		ret
CBORSID_F       endp



;**********************************************************************
;	===============================================================
; (9)   BLINE command: Create Box made of lines
;	===============================================================
.data
BoxStart        RDATA   <,RD_2DC,,RDF_NONE,spx1,\
                        BstartA1,RDC_XH,BLINE_B>
BstartA1        LPSTR   BstartP1
BstartP1        db      "Lower Left Corner of Box?:",0


BoxEnd          RDATA   <,RD_2DC,,RDF_NONE,spx2,\
                        BendA1,RDC_WIN,BLINE_C>
BendA1          LPSTR   BendP1
BendP1        db      "Upper Right Corner of Box?:",0


.code

BLINECmd        proc    STDCALL
                SVC     ReqData,<offset BoxStart> ; LL Corner
		ret
BLINECmd        endp

BLINE_B         proc    STDCALL
                cmp     eax,X_OK
                jnz     bad9B
                fld     spx1
                fld     spy1
                SVC     NewCsrOrg
                SVC     ReqData,<offset BoxEnd> ; UR Corner
bad9B:          call    CmdEnd                  ;next is new command
		ret
BLINE_B         endp

BLINE_C         proc    STDCALL
                cmp     eax,X_OK
                jnz     bad9C
                INVOKE  MarkUndoAdd     ;Undo to here


;
        fld     spx1                    ;test for valid box
        fcomp   spx2
        fje     bad9C
        fld     spy1
        fcomp   spy2
        fje     bad9C
;
        fmove   px1,spx1
        fmove   py1,spy1
        fmove   px2,spx2
        fmove   py2,spy1
        CALL    DRLINE
;
        fmove   px1,spx2
        fmove   py1,spy1
        fmove   px2,spx2
        fmove   py2,spy2
        CALL    DRLINE
;
        fmove   px1,spx2
        fmove   py1,spy2
        fmove   px2,spx1
        fmove   py2,spy2
        CALL    DRLINE
;
        fmove   px1,spx1
        fmove   py1,spy2
        fmove   px2,spx1
        fmove   py2,spy1
        CALL    DRLINE
;
bad9C:          call    CmdEnd                  ;next is new command
		ret
BLINE_C         endp

;**********************************************************************
;**********************************************************************
;       ===============================================================
; (10)  CSKSIDE command: Create SIDE view of countersunk hole
;	===============================================================
.data
DiaReq10A       RDATA   <,RD_Dist,,RDF_NONE,Dia1,\      ;dia Thru hole
                        tHoleA1,RDC_XHOPT,CSKSIDE_B>

DiaReq10B       RDATA   <,RD_Dist,,RDF_NONE,Dia1,\      ;dia CSK
                        cHoleA10,RDC_XHOPT,CSKSIDE_C>
cHoleA10        LPSTR   cHoleP10
cHoleP10        db      "Diameter of Counter sink?:",0


HoleStart10     RDATA   <,RD_2DC,,RDF_NONE,spx1,\
                        hstartA1,RDC_XH,CSKSIDE_D>

HoleEnd10       RDATA   <,RD_2DC,,RDF_NONE,spx2,\
                        hendA1,RDC_RBAND,CSKSIDE_E>
.code

CSKSIDECmd      proc    STDCALL
                SVC     ReqData,<offset DiaReq10A> ; get thru hole dia
		ret
CSKSIDECmd      endp

CSKSIDE_B       proc    STDCALL
                cmp     eax,X_OK
                jnz     bad10B
                fld     Dia1
                fld     con2
                fdiv
                fstp    cirr                    ;thru hole radius
                SVC     ReqData,<offset DiaReq10B> ;get csk dia
		ret
bad10B:         call    CmdEnd                  ;next is new command
		ret
CSKSIDE_B       endp

CSKSIDE_C       proc    STDCALL
                cmp     eax,X_OK
                jnz     bad10C
                fld     Dia1
                fld     con2
                fdiv
                fstp    cskr                    ;countersink radius
;
                fld     cskr
                fld     cirr
                fsub
                fld     con869
                fdiv
                fstp    ddist2                  ;depth of countersink
;
                SVC     ReqData,<offset HoleStart10>
		ret
bad10C:         call    CmdEnd                  ;next is new command
		ret
CSKSIDE_C       endp
;
CSKSIDE_D       proc    STDCALL
                cmp     eax,X_OK
                jnz     bad10D
                fld     spx1
                fld     spy1
                SVC     NewCsrOrg
                SVC     ReqData,<offset HoleEnd10>
		ret
bad10D:         call    CmdEnd                  ;next is new command
		ret
CSKSIDE_D       endp
;
CSKSIDE_E       proc    STDCALL
                cmp     eax,X_OK
                jnz     bad10E
                INVOKE  MarkUndoAdd             ;Undo to here

                fmove   px1,spx1      ;center points stored in sp1,sp2
                fmove   py1,spy1
                fmove   px2,spx2
                fmove   py2,spy2

                CALL    GET_ANGLES
                fld     spx1
                fld     spy1
                fld     ddist2
                fld     aang
                SVC     PConv
                fstp    spy3
                fstp    spx3          ;bottom of csink hole center
;
                fmove   angvar1,aang
                fmove   angvar2,aang2
                fld     cirr
                fld     con15
                fmul
                fstp    ddist            ;half length of centerline
                CALL    DRAW_CENTERLINE  ;Draw long centerlines
;
                fld     spx1             ;set 1st csk end point
                fld     spy1
                fld     cskr
                fld     aang3
                SVC     PConv
                fstp    py1
                fstp    px1
;
                fld     spx3         ;set 2nd csk end point
                fld     spy3
                fld     cirr
                fld     aang3
                SVC     PConv
                fstp    py2
                fstp    px2
                CALL    DRAW_HNORM
;
                fld     spx1                     ;set 3rd csk end point
                fld     spy1
                fld     cskr
                fld     aang4
                SVC     PConv
                fstp    py1
                fstp    px1
;
                fld     spx3                     ;set 4th csk end point
                fld     spy3
                fld     cirr
                fld     aang4
                SVC     PConv
                fstp    py2
                fstp    px2
                CALL    DRAW_HNORM
;
;
;
;
                fmove   px1,spx3
                fmove   py1,spy3
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang3
                fmove   angvar1,aang3
                fmove   ddist,cirr
                CALL    DRAW_HLINE              ;draw 1st side of hole
;
;
                fmove   px1,spx3
                fmove   py1,spy3
                fmove   px2,spx2
                fmove   py2,spy2
                fmove   angvar2,aang4
                fmove   angvar1,aang4
                fmove   ddist,cirr
                CALL    DRAW_HLINE              ;draw 2nd side of hole
;
                fld     spx3
                fld     spy3
                fld     cirr
                fld     aang3
                SVC     PConv
                fstp    py1
                fstp    px1                     ;bottom of csk hole right
;
                fld     spx3
                fld     spy3
                fld     cirr
                fld     aang4
                SVC     PConv
                fstp    py2
                fstp    px2                     ;bottom of csk hole left
;
                CALL    DRAW_HNORM
;
                SVC     ReqData,<offset HoleStart10>
		ret
bad10E:         call    CmdEnd                  ;next is new command
		ret
CSKSIDE_E       endp
;
;

;**********************************************************************
;       ===============================================================
;(last)  CENLNS command: Create centerlines for circles and arcs
;	===============================================================
.data
GetC            RDATA   <,RD_Pick1,,,,picir,RDC_PICK,CENLNS_B>
picir           LPSTR   picir_pmt
picir_pmt       db      "Pick circle or arc for centerlines:",0

.code

;
CENLNSCmd       proc    STDCALL
                INVOKE  MarkUndoAdd             ;Undo to here
                SVC     ReqData,<offset GetC> ; get Circle or arc
		ret
CENLNSCmd       endp

;
CENLNS_B        proc    STDCALL
                cmp     eax,X_OK
                jne     bad_Lst                   ;if nothing picked
                cmp     CStuff.EType[esi],ET_Cir2 ;is it a circle

                 jz      ok_Lst
                 cmp     CStuff.EType[esi],ET_Arc2 ;is it an arc
                 jz      ok_Lst
notCircle:       SVC     ReqData,<offset GetC>     ; get Circle or arc
                 ret
ok_Lst:
                INVOKE  MarkUndoAdd             ;Undo to here

                fld     con15
                fld     Cir2.Radius[esi]
                fmul
                fstp    ddist                ;half length of Centerline

                fmove   spx1,Cir2.CenX[esi]  ;store center point
                fmove   spy1,Cir2.CenY[esi]

                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx1
                fmove   py2,spy1
                fmove   angvar1,zzero
                fldpi
                fstp    angvar2
                CALL    DRAW_CENTERLINE      ;Draw horizontal Centerline

                fmove   px1,spx1
                fmove   py1,spy1
                fmove   px2,spx1
                fmove   py2,spy1
                fldpi
                fld     con2
                fdiv
                fst     angvar1
                fldpi
                fadd
                fstp    angvar2
                CALL    DRAW_CENTERLINE       ;Draw vertical Centerline
                SVC     ReqData,<offset GetC> ; get new Circle or arc
		ret

bad_Lst:        call  CmdEnd
                ret
CENLNS_B        endp



;**********************************************************************
;**********************************************************************
;**********************************************************************
;**********************************************************************
;**********************************************************************
;**********************************************************************
;**********************************************************************
;**********************************************************************
;**********************************************************************
;**********************************************************************
;**********************************************************************
;**********************************************************************
;**********************************************************************
;**********************************************************************
;**********************************************************************
;**********************************************************************
;**********************************************************************
DRAW_CENTERLINE     proc
;;

;;
;
                SVC     UseCStuff,<offset BuildL>
                fld     px1                     ;set 1st contst end point
                fld     py1
                fld     ddist
                fld     angvar2
                SVC     PConv
                fstp    BuildL.Y1
                fstp    BuildL.X1
;
                fld     px2                     ;set 2nd contst end point
                fld     py2
                fld     ddist
                fld     angvar1
                SVC     PConv
                fstp    BuildL.Y2
                fstp    BuildL.X2
                mov     BuildL.EColor,1         ;set Color
                mov     BuildL.ELStyle,8        ;Set Style ecw-4?

;        fwait                           ;wait on 8087 fstp complete
		INVOKE	DLApnd,NULL,esi
		SVC	EDraw,eax		;draw it
;;
        ret
DRAW_CENTERLINE       endp
;
;**********************************************************************
;*********************************************************************
GET_ANGLES      proc                    ;set bearing and bearing + 180
        fld     px1
        fld     py1
        fld     px2
        fld     py2
        SVC     Angle
        fst     aang                    ;bearing angle between p1 & p2
        fldpi                           ;load pi
        fadd
        fstp    aang2                   ;bearing angle between p2 & p1
        fldpi
        fld     con2
        fdiv
        fld     aang
        fadd
        fst     aang3
        fldpi
        fadd
        fstp    aang4
        ret
GET_ANGLES      endp
;
;*********************************************************************
;**********************************************************************
DRAW_HLINE      proc
;
;
        fld     px1                     ;set 1st contst end point
        fld     py1
        fld     ddist
        fld     angvar2
        SVC     PConv
        fstp    py1
        fstp    px1
;
        fld     px2                     ;set 2nd contst end point
        fld     py2
        fld     ddist
        fld     angvar1
        SVC     PConv
        fstp    py2
        fstp    px2
;
;
        SVC     UseCStuff,<offset BuildL>
        mov     BuildL.ELStyle,7        ;set line style
        mov     BuildL.EColor,1         ;Set color
        MOVED   BuildL.X1,px1           ;load points
        MOVED   BuildL.Y1,py1
        MOVED   BuildL.X2,px2
        MOVED   BuildL.Y2,py2
        INVOKE  DLApnd,NULL,esi
        SVC     EDraw,eax               ;draw line
;
;
        ret
DRAW_HLINE       endp
;
;**********************************************************************
;**********************************************************************
DRAW_LINE      proc
;
;
        fld     px1                     ;set 1st contst end point
        fld     py1
        fld     ddist
        fld     angvar2
        SVC     PConv
        fstp    py1
        fstp    px1
;
        fld     px2                     ;set 2nd contst end point
        fld     py2
        fld     ddist
        fld     angvar1
        SVC     PConv
        fstp    py2
        fstp    px2
;
;
        SVC     GetCStuff,<offset BuildL>
        MOVED   BuildL.X1,px1           ;load points
        MOVED   BuildL.Y1,py1
        MOVED   BuildL.X2,px2
        MOVED   BuildL.Y2,py2
        INVOKE  DLApnd,NULL,esi
        SVC     EDraw,eax               ;draw line
;
;
        ret
DRAW_LINE       endp
;
;**********************************************************************
;*********************************************************************
DRAW_HALF       proc
;
                SVC     GetCStuff,<offset BuildA>
                MOVED   BuildA.Radius,cirr
                MOVED   BuildA.CenX,px1
                MOVED   BuildA.CenY,py1
                MOVED   BuildA.SAng,angvar1
                fldpi
                fstp    BuildA.AngW
;       fwait                           ;wait on 8087 fstp complete
                INVOKE  DLApnd,NULL,esi
                SVC     EDraw,eax               ;draw arc
                ret
;
DRAW_HALF       endp
;
;*********************************************************************
;**********************************************************************
DRAW_HNORM      proc
;
;
;
        SVC     UseCStuff,<offset BuildL>
        mov     BuildL.ELStyle,7        ;set line style
        mov     BuildL.EColor,1         ;Set color
        MOVED   BuildL.X1,px1           ;load points
        MOVED   BuildL.Y1,py1
        MOVED   BuildL.X2,px2
        MOVED   BuildL.Y2,py2
        INVOKE  DLApnd,NULL,esi
        SVC     EDraw,eax               ;draw line
;
;
        ret
DRAW_HNORM       endp
;
;**********************************************************************
DRLINE  proc
;
        SVC     GetCStuff,<offset BuildL>
        MOVED   BuildL.X1,px1           ;load points
        MOVED   BuildL.Y1,py1
        MOVED   BuildL.X2,px2
        MOVED   BuildL.Y2,py2
        INVOKE  DLApnd,NULL,esi
        SVC     EDraw,eax               ;draw line
        ret
DRLINE  endp
;*********************************************************************
.data

threadA1        LPSTR   threadP1
threadP1        db      "Diameter of Thread?:",0

hstartA1        LPSTR   hstartP1
hstartP1        db      "Top of hole?:",0

hendA1          LPSTR   hendP1
hendP1          db      "Bottom of hole?:",0

ctr_pntA1       LPSTR   ctr_pntP1
ctr_pntP1       db      "Center point?:",0

cHoleA1         LPSTR   cHoleP1
cHoleP1         db      "Diameter of Counter Bore/Sink?:",0

holeA1          LPSTR   holeP1
holeP1          db      "Diameter of hole?:",0

tHoleA1         LPSTR   tHoleP1
tHoleP1         db      "Diameter of thru hole?:",0

aang            real4    0.0
aang2           real4    0.0
aang3           real4    0.0
aang4           real4    0.0
angvar1         real4    0.0
angvar2         real4    0.0
px1             real4    0.0
py1             real4    0.0
px2             real4    0.0
py2             real4    0.0
spx1            real4    0.0
spy1            real4    0.0
spx2            real4    0.0
spy2            real4    0.0
spx3            real4    0.0
spy3            real4    0.0
spx4            real4    0.0
spy4            real4    0.0
spx5            real4    0.0
spy5            real4    0.0
spx6            real4    0.0
spy6            real4    0.0
spx7            real4    0.0
spy7            real4    0.0
Dia1            real4    0.0
cirr            real4    0.0
cskr            real4    0.0
con2            real4    2.0
con15           real4    1.5
con75           real4    0.75
con869          real4    0.86929   ;tangent of 41
ddist           real4    0.0
ddist2          real4    0.0
zzero           real4    0.0
Rad_O           real4    0.0
Rad_I           real4    0.0

BuildL		Line2	<>		;line entity
BuildC          Cir2    <>              ;Circle entity
BuildA          Arc2    <>              ;Arc entity
.code

END
